require 'rspec'
require_relative '../lib/fish'

describe Fish do
    it 'should return a fish with 3 length' do
        Fish.fish.should == '><(((°>'
    end

    it 'should return a fish with 5 length' do
        Fish.fish(5).should == '><(((((°>'
    end

    it 'should return a fish looking to the left with length 7' do
        Fish.fish(7, false).should == '<°)))))))><'
    end

    it 'should return a fish array with 2 left-looking fishes' do
        Fish.many_fish(2, 3, false).should == ['<°)))><', '<°)))><']
    end

    it 'should know if a string is a fish' do
        Fish.is_fish?('test').should == false
        Fish.is_fish?('<°))><').should == true
        Fish.is_fish?('><(((°>').should == true
    end

    it 'should generate correct random fishes' do
        Fish.is_fish?(Fish.random_fish).should == true
    end

    it 'should return a fish array with random fish' do
        Fish.many_random_fish(10).each do |fish|
            Fish.is_fish?(fish).should == true
        end
    end
end